Summary: 	IX Serial Console
Name: 		ix-serialconsole 
Version: 	1.0
Release: 	1.1
Group: 		extras
License: 	GPL
Vendor: 	InterNetX GmbH
Packager: 	Juergen Gotteswinter <jg@internetx.de>
Source: 	serialconsole_all.pl
Requires: 	perl 
BuildRoot: /var/tmp/serialconsole-build
BuildArch: noarch

# /dev/ttyS0 9600 Redirection
%description
Sets Grub Config for Serial Redirection, 9600 Bps and
correct Prompt

%package 9600
Summary: enable serial console for 9600 baud
Group: extras

%description 9600
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt. 

%package 115200
Summary: enable serial console for 115200 baud
Group: extras

%description 115200
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.


%prep

%build

%install
install -D -m 755 -d ${RPM_BUILD_ROOT}/usr/sbin
install -m 0700 %{S:0} ${RPM_BUILD_ROOT}/usr/sbin/serialconsole_all

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Run the script
# Defaults to /dev/ttyS0 with a speed of 9600
/usr/sbin/serialconsole_all 

%files
%attr(-,root,root) /usr/sbin/serialconsole_all

%post 9600
# Run the script
/usr/sbin/serialconsole_all -d /dev/ttyS0 -s 9600

%files 9600
%attr(-,root,root) /usr/sbin/serialconsole_all


%post 115200
# Run the script
/usr/sbin/serialconsole_all -d /dev/ttyS0 -s 115200

%files 115200
%attr(-,root,root) /usr/sbin/serialconsole_all



%changelog
* Wed Jan 16 2008 Carsten Schoene <cs@internetx.de>
- imported Juergen Gotteswinters spec file
- added 115200 subpackage
- optimized install process
- in serialconsole_all.pl added support for menu.lst as grub config file

